SoProfilerElement(3)

NAME
SoProfilerElement - The SoProfilerElement element class is for registering statistics during scene graph traversals.

SYNOPSIS

#include <Inventor/annex/Profiler/SoProfilerElement.h>

Inherits SoElement.

  Public Member Functions
virtual SbBool matches (const SoElement *element) const
virtual SoElement * copyMatchInfo (void) const
SbProfilingData & getProfilingData (void)
const SbProfilingData & getProfilingData (void) const
Public Member Functions inherited from SoElement
const SoType getTypeId (void) const
int getStackIndex (void) const
virtual void init (SoState *state)
void setDepth (const int depth)
int getDepth (void) const
virtual void print (FILE *file=stdout) const
virtual ~SoElement ()

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static SoProfilerElement * get (SoState *state)
Static Public Member Functions inherited from SoElement
static void initClass (void)
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void initElements (void)
static int getNumStackIndices (void)
static SoType getIdFromStackIndex (const int stackIndex)

  Protected Attributes
SbProfilingData data
Protected Attributes inherited from SoElement
SoType typeId
int stackIndex
int depth

  Additional Inherited Members
Protected Member Functions inherited from SoElement
SoElement (void)
void capture (SoState *const state) const
virtual void captureThis (SoState *state) const
void setTypeId (const SoType typeId)
void setStackIndex (const int index)
SoElement * getNextInStack (void) const
SoElement * getNextFree (void) const
Static Protected Member Functions inherited from SoElement
static SoElement * getElement (SoState *const state, const int stackIndex)
static const SoElement * getConstElement (SoState *const state, const int stackIndex)
static int createStackIndex (const SoType id)
Static Protected Attributes inherited from SoElement
static int classStackIndex
static SoTypeList * stackToType

Detailed Description

The SoProfilerElement element class is for registering statistics during scene graph traversals.

Member Function Documentation

  SoType SoProfilerElement::getClassTypeId (void ) [static]
This static method returns the SoType object associated with objects of this class.

  int SoProfilerElement::getClassStackIndex (void ) [static]
This static method returns the state stack index for the class.

  void * SoProfilerElement::createInstance (void ) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoProfilerElement * SoProfilerElement::get (SoState * state) [static]
This is the required method of fetching the SoProfilerElement instance.

  SbBool SoProfilerElement::matches (const SoElement * element) const [virtual]
This function returns TRUE is the element matches another element (of the same class), with respect to cache validity.

If the application programmer's extension element has a matches() function, it should also have a copyMatchInfo() function.

Implements SoElement.

  SoElement * SoProfilerElement::copyMatchInfo (void ) const [virtual]
This function creates a copy of the element that contains enough information to enable the matches() function to work.

Used to help with scene graph traversal caching operations.

Implements SoElement.

Author

Generated automatically by Doxygen for Coin from the source code.